{% extends "base.html" %}
{% load static i18n seawatch_registration_tags %}
{% block content %}
  <h1>{% trans "Operations" %}</h1>
  <div>
    <ul class="operation-heading">
      <li>
        <h2>
          <a href="{% url "operation_list" %}" class="planned-operations active">{% trans "Planned Operations" %}</a>
        </h2>
      </li>
      <li>
        <h2>
          <a href="{% url "past_operation_list" %}" class="past-operations">{% trans "Past Operations" %}</a>
        </h2>
      </li>
    </ul>
  </div>
  <table class="table">
    <thead>
      <tr>
        <th scope="col">Operation Name</th>
        <th scope="col">Start Date</th>
        <th scope="col">End Date</th>
        <th scope="col">Confirmed/Total</th>
      </tr>
    </thead>
    {% if operations_with_data %}
      <tbody>
        {% for operation, confirmed, total in operations_with_data %}
          <tr>
            <th scope="row">
              <a href="{% url "operation" pk=operation.id %}">{{ operation.name }}</a>
            </th>
            <td>{{ operation.start_date }}</td>
            <td>{{ operation.end_date }}</td>
            <td>{{ confirmed }} / {{ total }}</td>
          </tr>
        {% endfor %}
      </tbody>
      <tfoot>
        <tr>
          <th scope="row" colspan="7">Number of planned operations: {{ operation_list|length }}</th>
        </tr>
      </tfoot>
    {% else %}
      <tbody>
        <tr>
          <td class="empty-table-message" colspan="7">There are no planned operations.</td>
        </tr>
      </tbody>
    {% endif %}
  </table>
{% endblock %}
